List::Util::XS(3)

NAME
List::Util::XS - Indicate if List::Util was compiled with a C compiler

SYNOPSIS
    use List::Util::XS 1.20;

DESCRIPTION
"List::Util::XS" can be used as a dependency to ensure List::Util was installed using a C compiler and that the XS version is installed.

During installation $List::Util::XS::VERSION will be set to "undef" if the XS was not compiled.

Starting with release 1.23_03, Scalar-List-Util is always using the XS implementation, but for backwards compatibility, we still ship the "List::Util::XS" module which just loads "List::Util".

SEE ALSO
Scalar::Util, List::Util, List::MoreUtils

COPYRIGHT
Copyright (c) 2008 Graham Barr <gbarr@pobox.com>. All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.